import 'dart:async';
import 'dart:io';

import 'package:flutter/services.dart';

class AlanVoice {
  static const MethodChannel _channel =
      const MethodChannel('alan_voice');

  static const String PLUGIN_VERSION = "0.5";

  static void init() {
    _channel.setMethodCallHandler((MethodCall call) async {
      print("Got callback: ${call.method}");
      return true;
    });
  }

  static Future<String> get version async {
    String version = await _channel.invokeMethod('getVersion');
    version = "Plugin version: $PLUGIN_VERSION\n$version";
    return version;
  }

  static void showButton() async {
    await _channel.invokeMethod('showButton');
  }

  static void initButton(String projectId) async {
    await _channel.invokeMethod('initButton',
        <String, String> {
          "projectId": projectId
        });
  }

  static void createButton() async {
    await _channel.invokeMethod('createButton');
  }
}
